Skip to content

Run a stored Python script via the scheduler

POST
/api/v1/{tenantId}/scripts/{scriptId}/execute

Wraps the script in a transient scheduler operation and dispatches it. Returns the scheduler ThreadId for log polling. The schedule is not persisted to the user’s saved-schedule list.

Plugin API access: this operation accepts a plugin JWT (PluginBearer) for its own tenant.

scriptId
required
string
tenantId
required
string

OK

object
executionId
string
nullable
threadId
integer format: int64
execution
object
id
string
nullable
threadId
integer format: int64
status
integer format: int32
Allowed values: 0 1 2 3
startedAt
string format: date-time
completedAt
string format: date-time
nullable
exitCode
integer format: int32
nullable
errorMessage
string
nullable
startedByUserId
string
nullable
lineCount
integer format: int64
stdErrLineCount
integer format: int64
firstSequenceNumber
integer format: int64
lastSequenceNumber
integer format: int64
scriptSnapshot
object
scriptId
string
nullable
name
string
nullable
content
string
nullable
parentFolderId
string
nullable
version
integer format: int32
contentHash
string
nullable

Bad Request

object
message
string
nullable
code
string
nullable

Too Many Requests

object
message
string
nullable
code
string
nullable